import { Renderer2, SimpleChanges, OnChanges } from '@angular/core';
import { Config, PlaceholderConfig } from '../../spinner.types';
import { SpinnerService } from '../../spinner.service';
import * as i0 from "@angular/core";
export declare class SpinnerChartsNoDataComponent implements OnChanges {
    spinnerService: SpinnerService;
    protected renderer: Renderer2;
    chartsConfig: PlaceholderConfig;
    isOpened: boolean;
    private spinnerEventSubscription;
    private logger;
    placement: string;
    config: Config;
    toggleFadeElement: any;
    autoopen: boolean;
    constructor(spinnerService: SpinnerService, renderer: Renderer2);
    toggleElement(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerChartsNoDataComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpinnerChartsNoDataComponent, "epom-spinner-charts-no-data", never, { "placement": "placement"; "config": "config"; "toggleFadeElement": "toggleFadeElement"; "autoopen": "autoopen"; }, {}, never, never, false>;
}
